package validator_struct

import "im-microservice/pb"

type ConfigureAddStruct struct {
	CompanyUserId   int64  `validate:"required,numeric"`
	MultideviceType int64  `validate:"required,numeric"`
	MsgHookUrl      string `validate:"required"`
}

type ConfigureUpdateStruct struct {
	CompanyUserId   int64 `validate:"required,numeric"`
	MultideviceType int64
	MsgHookUrl      string
}

type ConfigureDelStruct struct {
	CompanyUserId int64 `validate:"required,numeric"`
}

func NewConfigureAddStruct(in *pb.ConfigureRequest) *ConfigureAddStruct {
	return &ConfigureAddStruct{
		CompanyUserId:   in.Public.GetCompanyUserId(),
		MultideviceType: in.Public.GetMultideviceType(),
		MsgHookUrl:      in.Public.GetMsgHookUrl(),
	}
}

func NewConfigureDelStruct(in *pb.ConfigureDelRequest) *ConfigureDelStruct {
	return &ConfigureDelStruct{CompanyUserId: in.GetCompanyUserId()}
}

func NewConfigureUpdateStruct(in *pb.UpdateRequest) *ConfigureUpdateStruct {
	return &ConfigureUpdateStruct{
		CompanyUserId:   in.Public.GetCompanyUserId(),
		MultideviceType: in.Public.GetMultideviceType(),
		MsgHookUrl:      in.Public.GetMsgHookUrl(),
	}
}
